﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* M  argin bottom by footer height */
  margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    background: #e5e5e5;
    white-space: nowrap;
    /* Set the fixed height of the footer here */
    height: 60px;
    line-height: 60px; /* Vertically center the text there */
}

.invisible {
    visibility: hidden;
}

.table td.service-description {
    border-top: 3px solid #dee2e6;
}

.table tr.end-service-description td {
    border-top: 3px solid #dee2e6;
}

a.navbar-brand {
    word-break:keep-all;
}
a.navbar-brand img {
        max-height: 50px;
        max-width: 50px;
    }

td.shrink {
    white-space: nowrap;
    width: 1px;
}

td.shrink-to-rhs {
    padding-right: 0;
}

@media screen and (max-width: 500px) {
    .hide-col-xs-portrait {
        display: none;
    }
}

@media screen and (min-width: 501px) {
    .show-col-xs-portrait {
        display: none;
    }
}

@media screen and (max-width: 500px) {
    .display-4 {
        font-size: 2.5rem;
        font-weight: 400;
    }
}

tr.unpublished td {
    background-color: #ffc107 !important;
}

.list-flush {
    padding-left: 1.2em;
    margin-left: 0;
}

.validation-summary-errors ul {
    padding-left: 0;
    list-style-position: inside;
}

.home-address-text {
  display: inline-block;
  position: relative;
  padding: 70px 30px 10px 30px;
  font-size: 1.4em;
  z-index: 1;
}

.home-address-text .map-link {
  font-size: 0.7em;
}

.home-address-text::before {
  z-index: -1;
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.3;
  background-image: url('/img/swavesey.jpg');
  background-repeat: no-repeat;
  background-size: contain; /* scale fully without cropping */
  background-position: center;

}

.about-text .term {
  font-style: italic;
  font-weight: bold;
}
.about-text .definition {
  text-decoration: underline;
}

/* custom colours */
a{
  color: #7a0014;
}

a:hover {
  color: #9f1229;
  text-decoration: underline;
}

.text-primary {
  color: #9f1229 !important;
}

.btn-outline-primary {
  color: #7a0014;
  border-color: #7a0014;
}

.btn-outline-primary:hover {
  background: #7a0014;
  color: #fff;
  border-color: #7a0014;
}

.btn-primary {
  color: #fff;
  background-color: #a02237;
  border-color: #a02237;
}

.btn-primary:hover {
  background-color: #7a0014;
  border-color: #7a0014;
}

.card {
  background: #f8f7f7;
  border:none;
}

.card-bordered, .card-body{
  border: 1px solid rgba(0, 0, 0, 0.125)
}

.card-header {
  background: rgba(0, 0, 0, 0.09);
  background: linear-gradient(57deg, rgb(130 130 130 / 50%) 0%, hsl(357deg 16% 47% / 50%) 65%, rgb(67 67 67 / 90%) 100%);
}

.card-title {
  text-shadow: 0 0 13px white;
}

.text-success {
  color: #0a8527 !important;
}